FREEFOAM-TRANSFORMPOINTS(1)

NAME
freefoam-transformPoints - Transforms the mesh points in the polyMesh directory according to the translate, rotate and scale options.

SYNOPSIS

freefoam transformPoints [-rotateFields] [-help] [-scale <vector (sx sy sz)>] [-srcDoc] [-doc] [-translate <vector>] [-parallel] [-rotate <(vector vector)>] [-case <dir>]

DESCRIPTION

TODO write detailed description

OPTIONS

-translate <vector>
    Translate by given vector.

-rotateFields
    Also rotate vector/tensor fields.

-rotate <(vector vector)>
    Rotate from first to second direction.

-scale <vector (sx sy sz)>
    Scaling factors in x, y and z direction.

-case <dir>
    Case directory.

-parallel
    Run in parallel.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

NOTE

    • yaw: rotation about z

    • pitch: rotation about y

    • roll: rotation about x

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.